/ lang / cint
CInt
Syntax

    iResult = CInt ( Expression AS Variant ) AS Integer
    iResult = CInteger ( Expression AS Variant ) AS Integer

Converts an expression into an Integer.

### Errors

Message | Description
--- | ---
Type mismatch (#6) | Expression cannot be converted.

### Examples

    PRINT CInt("17")
    <hr>17

    PRINT CInt(100000)
    <hr>100000

    PRINT CInt(TRUE)
    <hr>-1

    PRINT CInt(3.6)
    <hr>3

    PRINT CInt(Now)
    <hr>2484515

### See also

Conversion Functions